<?php 

register_open_service_problems_dashlet();
function register_open_service_problems_dashlet() {

    $dashlet_opts = array(
        DASHLET_NAME        => 'open_service_problems',
        DASHLET_TYPE        => DASHLET_TYPE_COMPONENT,
        DASHLET_SERVER_TYPE => SERVER_TYPE_XI | SERVER_TYPE_CORE,
        DASHLET_VERSION     => '4.0.0',
        DASHLET_DATE        => '04/04/2017',
        DASHLET_AUTHOR      => 'Nagios Enterprises',
        DASHLET_DESCRIPTION => _('View all open service problems'),
        DASHLET_COPYRIGHT   => '&copy; 2017 Nagios Enterprises, LLC',
        DASHLET_HOMEPAGE    => 'www.nagios.com',
        DASHLET_LICENSE     => _('Nagios Software License'),
        DASHLET_PREVIEW     => get_components_base_url() . 'noc/dashlets/previews/open_service_problems.png',
        DASHLET_LOAD_URL    => get_components_base_url() . 'noc/dashlets/open_service_problems.php',
        DASHLET_TITLE       => _('Open Service Problems'),
        DASHLET_PARAMS      => 'noc_component_dashlet_params_with_limit',
        DASHLET_WIDTH       => 1060,
        DASHLET_HEIGHT      => 320,
        );

    register_dashlet($dashlet_opts);
}
